org.richfaces.ui.output.component

## Enum UISeries.Properties

- java.lang.Object
- - java.lang.Enum<UISeries.Properties>
  - - org.richfaces.ui.output.component.UISeries.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UISeries.Properties>
  Enclosing class:
    UISeries

      protected static enum UISeries.Properties
      extends Enum<UISeries.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `color`
    `data`
    `label`
    `onplotclick`
    `onplothover`
    `plotClickListener`
    `symbol`
    `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UISeries.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UISeries.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### color

          public static final UISeries.Properties color

    - #### data

          public static final UISeries.Properties data

    - #### label

          public static final UISeries.Properties label

    - #### onplotclick

          public static final UISeries.Properties onplotclick

    - #### onplothover

          public static final UISeries.Properties onplothover

    - #### plotClickListener

          public static final UISeries.Properties plotClickListener

    - #### symbol

          public static final UISeries.Properties symbol

    - #### type

          public static final UISeries.Properties type

  - ### Method Detail

    - #### values

          public static UISeries.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UISeries.Properties c : UISeries.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UISeries.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.